<div class="impersonate-content">
  <form [formGroup]="impersonateGroup">
    <mat-card class="impersonate-card">
      <mat-card-header>
        <h2>
          <mat-icon color="primary">fiber_smart_record</mat-icon>Impersonate User
        </h2>
      </mat-card-header>
      <mat-divider></mat-divider>
      <mat-card-content class="regular-mat-form-field">
        <mat-label style="font-weight: bold;" class="required-label-color">Enter the LanID/FirstName/LastName to impersonate:</mat-label>
        <mat-form-field appearance="outline">
          <input matInput  placeholder="LanID or FirstName or LastName" aria-label="LanID" formControlName="searchStringCtrl" [matAutocomplete]="auto"
            required minlength="3" maxlength="100" [focus]="true">
            <mat-icon matSuffix>search</mat-icon>
          <mat-autocomplete #auto="matAutocomplete" (optionSelected)="onSelectedUser($event)" [displayWith]="displaySelectedUser">
            <mat-option
                *ngFor="let user of filteredUserList | async"
                [value]="user"
              >
              <span>{{user.firstName + ' ' + user.lastName}}</span> |
              <span>{{'Role: ' + user.roleName}}</span> |
              <span>SiteCategoryType: </span>
              <span *ngIf="user.isSH_RA"> (SH_RA) </span>
              <span *ngIf="user.isSH_PE"> (SH_PE) </span>
              <span *ngIf="user.isSH_HP"> (SH_HP) </span>
              <span *ngIf="user.isCAS"> (CAS) </span>
              <span *ngIf="user.isML_DHS_Liasian"> (ML_DHS_Liasian) </span>
              <span *ngIf="user.isML_Team"> (ML_Team) </span>
              <span *ngIf="user.isML_HP"> (ML_HP) </span>
              <span *ngIf="user.isML_IREA"> (ML_IREA) </span>
            </mat-option>
          </mat-autocomplete>
          <mat-error *ngIf="impersonateGroup.get('searchStringCtrl').invalid">LanID or FirstName or LastName is required to Impersonate.</mat-error>
        </mat-form-field>

      </mat-card-content>
      <mat-card-footer>
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
          <button type="button" [disabled]="!impersonateGroup.valid" (click)="onImpersonate()" mat-raised-button color="primary">Impersonate</button>
        </span>
      </mat-card-footer>
    </mat-card>
  </form>
</div>
